// Fabien HENON * 1998
// a render of my school compass
// 100 % CSG object
// render year 1998
// to render with povray 3.0. The version above have broken the transparency image






global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 25
  number_of_waves 10
             radiosity {
                           brightness 3.3
                           count 1300
                           //distance_maximum 30
                           error_bound 0.3
                           gray_threshold 0.6
                           low_error_factor 0.1
                           minimum_reuse 0.001
                           recursion_limit 2}

}




camera {
        location < -60,60,-5>
        look_at  <-15,0,35> }


#declare base=union {
box { <-1.5,0,-1.85>,<3.5,1,1.85> }
box { <-1.35,0,-2>,<3.35,1,2> }cylinder { <-1.35,0,-1.85>,<-1.35,1,-1.85>,0.15}
cylinder { <-1.35,0,1.85>,<-1.35,1,1.85>,0.15}
cylinder { <3.35,0,1.85>,<3.35,1,1.85>,0.15}
cylinder { <3.35,0,-1.85>,<3.35,1,-1.85>,0.15}
}


include "rou.inc"
include "segment1.inc"
include "hardwood.inc"


light_source { <100,400,-500> color rgb 0.8 }
light_source { <-300,50,-50> color rgb 0.6 }
light_source { <-300,300,500> color rgb 0.8 }
light_source { <10,500,20> color rgb <0.42,0.42,0.4> }


#declare bras_droit=
union {
intersection {
        object { base scale <1,70,1> translate <0,-10,0>}
        plane { y,0 rotate <0,0,-45> inverse }
        box { <-1.6,-4,-0.75>,<3.6,11,0.75> inverse }
        cylinder { <1,4,-2.5>,<1,4,-1.5>,1.5 inverse }
        bounded_by { box { <-1.5,-4,-2>,<3.5,57,2> }}
        }
object { vis rotate <-90,0,35> translate <1,4,-1.49> }
object { segment_1 translate <0,-44,0>}
translate <0,44,0>
translate <0,-98,0>
rotate <0,0,15>
translate <0,98,0>
texture { met }
}

object { box { <0,0,-0.0001>,<1,1,0> }
pigment { image_map { gif "p-1.gif" interpolate 2 once } }
finish { reflection 0 diffuse 0.5 crand 0.009 }

        scale <848,608,1>*0.15
        rotate <90,-10,0>
        translate <-60,0,-20>
        translate <-3,0,-102>
        rotate <2.2,0,0>
        translate <0,-6.05,102>

}


/*
//plane { y,0
object { box { <0,0,-0.0001>,<1,1,0> }
pigment { image_map { gif "c:\mouse\povscn\p-1.gif" interpolate 2 once } }
        scale <848,608,1>*0.2
        rotate <90,-10,0>
        translate <-60,0,-20>
        translate <-3,0,-102>
        }
finish { reflection 0 diffuse 0.5 crand 0.009 }
rotate <2.2,0,0>
translate <0,-6.05,102>

}  */

#declare CSG001 = union {
  cylinder { <0,0,-0.3>, <0,0,0.3>, 1
            scale <2, 1, 0.8> }
  torus { 1.0, 0.3  rotate <90,0,0>
            scale <2, 1, 0.8> }
translate  <0, -1, 0>
}


#declare sommet=
union {
object {
        height_field { gif "256cis.gif" water_level 0.01 smooth }
        scale <12,0.3,3.6> rotate x*-90 translate <-6,-1.8,-6> }


difference {
  superellipsoid { <0.6, 0.3> scale <0.821418, 1.000437, 0.616311> }
  object { CSG001 }
  bounded_by {
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <0.985358, 1.1, 0.674737>
      translate  <-0.038381, 0.018965, 0.0> }}
      scale 10
                                             }


union {
box { <-6,-8.6,2.3>,<6,8.6,2.5> }
box { <-6,-8.6,-2.5>,<6,8.6,-2.3> }
texture { meta }
}


texture { EMBWood2 }
translate <-3,102,0>
}


#declare support_aiguille=
intersection {                  //// support de l'aiguille
union {
        box { <0,0,0>,<0.1,17,4.79> rotate y*7.79 }
        box { <0,0,0>,<0.1,17,4.79> translate x*1.4 rotate y*-7.79 }
        cylinder { <0.75,0,0>,<0.75,17,0>,0.1 scale <1,1,2> translate z*4.75}
        }

plane { y,1 inverse }
sphere { <0.75,43,-25>,50 hollow }
bounded_by { box { <0,0,0>,<1.6,18,6> }}
translate <-0.75,0,0>
rotate y*-90
translate <3.5,0,0>
texture { meta }
}

#declare gauche=
difference {
        object { base scale <1,98,1> }
        box { <-2,-0.1,-0.75>,<4,23,0.75>}
        bounded_by { box { <-2,0,-2>,<4,100,2> } }
        translate y*4
        texture { met }
        }

#declare aiguille=union {
cylinder { <0,22,0>,<0,0,0>,0.5 }
cone { <0,0,0>,0.5,<0,-6,0>,0.05 }
texture { meta }
translate <3,0,0>
}


#declare bras_gauche=
union {
object { aiguille }
object { support_aiguille }
object { gauche }
object { proulette rotate <-90,0,0> translate <1,8,-2> texture { meta }}
translate y*-98
rotate z*-15
translate y*102
translate x*-7
}




union {
object { maintien translate <-3,112.75,0> }
object { bras_gauche }
object { sommet }
object { bras_droit }
rotate x*90
rotate y*-10 }

object { plancher
scale 0.3
rotate <2.2,0,0>
translate <0,-6.06,102>
}
